[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'versiontypes' (#fcl-res)

# ENameNotAllowedException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

String table name not allowed error

## Declaration

Source position: versiontypes.pp line 27

`type ENameNotAllowedException = class(EVersionStringTableException)`

## Inheritance

`ENameNotAllowedException` |  | String table name not allowed error
`EVersionStringTableException` |  | Base class for version string table - related exceptions
`Exception`
`TObject`

## Description

This exception is raised when an attempt is made to set Name property of TVersionStringTable with a string that isn't an 8-cipher hexadecimal string.

## See also

TVersionStringTable.Create |  | Creates a new string table
TVersionStringTable.Name |  | The name of the string table